libcoap 4.3.2rc2

Data Fields
coap_endpoint_t Struct Reference
Libcoap Internal API » Sessions

Abstraction of virtual endpoint that can be attached to coap_context_t. More...

`#include <coap_session_internal.h>`

## Data Fields
struct coap_endpoint_t * | next
coap_context_t * | context
| endpoint's context More...
coap_proto_t | proto
| protocol used on this interface More...
uint16_t | default_mtu
| default mtu for this interface More...
coap_socket_t | sock
| socket object for the interface, if any More...
coap_address_t | bind_addr
| local interface address More...
coap_session_t * | sessions
| hash table or list of active sessions More...

## Detailed Description

Abstraction of virtual endpoint that can be attached to coap_context_t.

The keys (port, bind_addr) must uniquely identify this endpoint.

Definition at line 219 of file coap_session_internal.h.

## Field Documentation

## ◆ bind_addr

coap_address_t coap_endpoint_t::bind_addr

local interface address

Definition at line 226 of file coap_session_internal.h.

## ◆ context

coap_context_t* coap_endpoint_t::context

endpoint's context

Definition at line 221 of file coap_session_internal.h.

## ◆ default_mtu

uint16_t coap_endpoint_t::default_mtu

default mtu for this interface

Definition at line 223 of file coap_session_internal.h.

## ◆ next

struct coap_endpoint_t* coap_endpoint_t::next

Definition at line 220 of file coap_session_internal.h.

## ◆ proto

coap_proto_t coap_endpoint_t::proto

protocol used on this interface

Definition at line 222 of file coap_session_internal.h.

## ◆ sessions

coap_session_t* coap_endpoint_t::sessions

hash table or list of active sessions

Definition at line 227 of file coap_session_internal.h.

## ◆ sock

coap_socket_t coap_endpoint_t::sock

socket object for the interface, if any

Definition at line 224 of file coap_session_internal.h.

The documentation for this struct was generated from the following file:

- coap_session_internal.h